/* ? #region ****** PARALLAX  */
.parallax {
  height: 40vh;

  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

@media only screen and (max-width: 1366px) {
  .parallax {
    height: 0;
  }
}

#parallax1 {
  background-image: url("../assets/background2.jpg/");
}

#parallax2 {
  background-image: url("../assets/background3.jpg/");
}
/* #endregion */

/* ? #region ****** GENERIC */
.fullPageVertical {
  position: relative;
  display: flex;
  flex-direction: column;
  /* justify-content: center; */
  align-items: center;
  height: 100vh;
  width: 100%;
  scroll-snap-align: start;
  display: flex;
  overflow: hidden;
  padding: 0 20px;
}

.fullPageHorizontal {
  position: relative;
  display: flex;
  align-items: center;
  flex-direction: column;
  height: auto;
  width: 100%;
  scroll-snap-align: start;
  display: flex;
  gap: 35px;
  overflow-x: scroll;
  padding: 30px;
}

.sectionTitle {
  font-size: 40px;
  margin: 50px 0 5px 0;
  text-align: center;
}

.white {
  color: white;
  z-index: 999;
}

.centerAligned {
  justify-content: center;
}

/* #endregion */

/* ? #region ****** HERO */
.heroHome {
  box-shadow: 0px 2px 18px 15px rgba(0, 0, 0, 0.5);
}

.backgroundImage {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  filter: grayscale(20%) blur(1px) brightness(40%);
  object-fit: cover;
  animation-duration: 4s;
}

#logo {
  width: 100%;
  height: 30%;
  max-width: 350px;
  max-height: 160px;
  filter: invert(100%);
}

#subLogo {
  font-size: 18px;
  font-weight: 100;
  color: #f8f7f3;
  margin-top: 20px;
}

/* #endregion */

/* ? #region ****** INTRODUCTION CARD */
.frame {
  height: 80%;
  width: 90%;
  background-color: #252525;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 80px;
  border-radius: 2px;
}

@media only screen and (max-width: 768px) {
  .frame {
    flex-direction: column;
    padding: 30px;
  }

  .frame::before {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 20%;
    transform: rotate(4deg) translate(0px, -2px) scale(1.3);
    width: 100%;
    content: " ";
    background-color: #f8f7f3;
  }

  .subframe > h1 {
    font-size: 25px !important;
  }

  .subframe > h2 {
    font-size: 18px;
  }
}

.subframe {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.subframe > h1 {
  font-size: 50px;
  margin: 30px 0;
  font-weight: 100;
}

.subframe > h2 {
  font-weight: 100;
}

.subframe > a {
  margin-top: 20px;
  font-size: 16px;
}

.shine {
  animation: shine 0.5s infinite alternate;
}

/* @keyframes shine {
  from {
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff;
  }
  to {
    text-shadow: 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #f5f5f5, 0 0 10px #fff,
      0 0 15px #fff;
  }
} */

@keyframes shine {
  from {
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff;
  }
  to {
    text-shadow: 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #f5f5f5, 0 0 10px #fff;
  }
}

@media only screen and (min-width: 768px) {
  .fullPageHorizontal {
    justify-content: center;
  }
}

.secondSection > h1 {
  color: white;
  font-size: 40px;
  z-index: 998;
  text-align: center;
  background-color: #68686870;
  padding: 20px 40px;
  border-radius: 5px;
  font-weight: 100;
}

@media only screen and (max-width: 768px) {
  .secondSection > h1 {
    font-size: 30px;
  }
}

/* #endregion */

/* ? #region ****** CARDS */
.cardContainer {
  z-index: 998;
  display: flex;
  align-items: center;
  gap: 45px;
  width: 100%;
  height: 90%;
  overflow-x: visible;
  position: relative;
  transition: 0.1s all;
  scroll-behavior: smooth;
}

.card {
  min-height: 560px;
  min-width: 400px;
  background-color: #252525;
  color: white;
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 50px 30px;
  border-radius: 2px;
  position: relative;
}

.card > img {
  margin: 30px 0;
}

.card > h1 {
  font-size: 20px;
}

.card img {
  width: 60%;
  border-radius: 50%;
  filter: grayscale(100%);
}

@media only screen and (max-width: 768px) {
  .cardContainer {
    flex-direction: column;
    width: 100%;
    height: 90%;
    overflow-x: hidden;
  }

  .card {
    height: 90%;
    width: 100%;
    min-height: 0;
    min-width: 300px;
  }

  .card > img {
    width: 20%;
  }
}

.divider {
  margin: 10px 0 50px 0;
  width: 260px;
  height: auto;
  border: 1px solid rgba(255, 255, 255, 0.227);
}

.scrollAnimation {
  opacity: 0;
  filter: blur(20px);
  transition: all 0.5s ease-in-out;
}

.animate {
  opacity: 1;
  filter: blur(0px);
}

.arrow {
  color: #252525;
  font-weight: 300;
}

.topRightCorner {
  position: absolute;
  top: 0px;
  right: 0px;
  height: 30px;
  width: 30px;
  /* background-color: #f8f7f3; */
  background: linear-gradient(45deg, #a5a5a5 0%, #f8f7f3 70%);
}

@media only screen and (min-width: 768px) {
  .arrow {
    display: none;
  }

  .card {
    padding: 50px 50px;
  }
}

/* #endregion */

/* ? #region ****** TIMELINE */
#timelineSection {
  height: auto;
}

.timeLineContainer {
  height: auto;
  width: 95%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  margin: 50px 0;
}


#timelineSection h2 {
  font-size: 20px;
  margin: 0px 0px 30px 0;
  font-weight: 100;
  text-align: center;
}

.timeLinePiece {
  height: 20%;
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.timeLineCardLeft,
.timeLineCardRight {
  width: 35%;
  height: auto;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  flex-direction: column;
  background-color: #252525;
  border-radius: 3px;
  color: white;
  padding: 20px;
}

.timeLineCardRight {
  align-items: flex-start;
}

.skip {
  background-color: transparent !important;
}

.timeLine {
  height: 150px;
  width: 1px;
  background-color: #2525254e;
  position: relative;
  margin: 0 50px;
  transform: translate(0px, 75px);
}

.timeLine::before {
  position: absolute;
  top: 0;
  left: -10px;
  right: 0;
  height: 22px;
  width: 22px;
  border-radius: 50%;
  content: " ";
  background-color: #252525;
}

.timeLineContainer .timeLinePiece:last-of-type .timeLine {
  background-color: #f8f7f300 !important;
}

.stepDescription {
  font-size: 30px;
}

@media only screen and (max-width: 768px) {
  .timeLine {
    margin: 0 20px;
  }

  .stepDescription {
    font-size: 14px;
    margin: 10px 0;
  }

  .timeLineCardLeft,
  .timeLineCardRight {
    width: 49%;
    height: auto;
    min-height: 100px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    flex-direction: column;
    /* border: 1px solid blue; */
    background-color: #252525;
    border-radius: 5px;
    color: white;
    padding: 20px;
    flex-wrap: wrap-reverse;
  }
}
/* #endregion */

/* ? #region ****** LATEST WORKS */

.workList {
  display: flex;
  width: 70%;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
  margin: 50px 0;
}

.workCard {
  height: 300px;
  min-width: 350px;
  border-radius: 2px;
  position: relative;
}

.workCard img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
}

.workData {
  background-color: rgba(255, 255, 255, 0.8);
  position: absolute;
  width: 100%;
  bottom: 0;
  height: 30%;
}

.workData h1 {
  font-size: 30px;
  font-weight: 100;
  position: absolute;
  bottom: 30px;
  left: 20px;
}

.workData h2 {
  font-weight: 100;
  font-size: 15px;
  position: absolute;
  bottom: 10px;
  left: 20px;
}

.workData h3 {
  font-weight: 100;
  font-size: 15px;
  position: absolute;
  bottom: 10px;
  right: 20px;
}

@media only screen and (min-width: 768px) {
  /* .workCard:nth-child(even){
    transform: translate(0px, 50px);
  } */

  .workCard:nth-child(odd):not(:last-child)::after {
    content: " ";
    right: -35px;
    position: absolute;
    background-color: #ffffffaf;
    height: 100%;
    width: 1px;
  }

  .workCard {
    width: 45%;
    min-width: 300px;
  }

  .workList {
    gap: 60px;
  }
}
/* #endregion */

/* ? #region ****** PHOTO AND VIDEO */

.photoContainer {
  display: flex;
  height: auto;
  gap: 10px;
  margin: 20px 0;
  flex-wrap: wrap;
  justify-content: center;
}

.photoContainer img {
  height: 500px;
  transition: 0.5s all;
  border-radius: 3px;
}

.photoContainer img:hover {
  transform: scale(102%);
}

/* #endregion */

/* ? #region ****** FOUNDERS */
.foundersContainer{
  display: flex;
  height: auto;
  gap: 80px;
  margin: 20px 0;
  flex-wrap: wrap;
  justify-content: center;
}

.founderCard {
  position: relative;
  height: 500px;
  width: 400px;
  background-size: cover;
  transition: 0.5s all;
  border-radius: 3px;
}

.founderDetails{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 20%;
  background-color: #2525256f;
  color:white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap:6px;
}

.founderDetails > span:first-child{
  font-size: 30px;
}

.founderDetails > span:last-child{
  font-size: 18px;
}


.foundersContainer img:hover {
  transform: scale(102%);
}
/* #endregion */
